
{% set url, nameaction, title = "" %}

{% if updating%}
    {% set url ="/users/update/"+user._id %}
    {% set nameaction ="Actualizar" %}
    {% set title ="Actualizar usuario" %}

{% else %}
    {% set url ="/users/new"  %}
    {% set nameaction ="Crear" %}
    {% set title ="Crear Usuario" %}
{% endif %}

{% extends "base/base.html" %}
{% block content %}


<div class="row">
    <div class="col">
        <div class="card shadow">
            <div class="card-header border-0">
                <h3 class="mb-0">
                    {{title}}
                </h3>
            </div>
            <form role="form" class="center-form" method="POST" action="{{url}}">
                <div class="form-group">
                    <div class="input-group input-group-alternative mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="ni ni-hat-3"></i></span>
                        </div>
                        <input id="firstname" name="firstname" class="form-control" placeholder="Nombres" type="text" {% if updating %} value="{{user.firstname}}" {% endif%}>
                    </div>
                </div>
                <div class="form-group">
                    <div class="input-group input-group-alternative mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="ni ni-hat-3"></i></span>
                        </div>
                        <input id="lastname" name="lastname" class="form-control" placeholder="Apellidos" type="text" {% if updating %} value="{{user.lastname}}" {% endif%}>
                    </div>
                </div>
                <div class="form-group">
                    <div class="input-group input-group-alternative mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="ni ni-email-83"></i></span>
                        </div>
                        <input id="email" name="email" class="form-control" placeholder="Email" type="email" {% if updating %} value="{{user.email}}" readonly {% endif%}>
                    </div>
                </div>

                <div class="form-group">
                    <div class="input-group input-group-alternative mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="ni ni-hat-3"></i></span>
                        </div>
                        <input id="gender" name="gender" class="form-control" placeholder="Genero" type="text" {% if updating %} value="{{user.gender}}" {% endif%}>
                    </div>
                </div>

                <div class="form-group">
                    <div class="input-group input-group-alternative mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="ni ni-hat-3"></i></span>
                        </div>
                        <input id="documentType" name="documentType" class="form-control" placeholder="Tipo De Documento" type="text" {% if updating %} value="{{user.documentType}}" readonly {% endif%}>
                    </div>
                </div>

                <div class="form-group">
                    <div class="input-group input-group-alternative mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="ni ni-hat-3"></i></span>
                        </div>
                        <input id="document" name="document" class="form-control" placeholder="Documento" type="text" {% if updating %} value="{{user.document}}" readonly {% endif%}>
                    </div>
                </div>



                <div class="text-center">
                    <button type="submit" class="btn btn-primary mt-4">{{nameaction}}</button>
                </div>
            </form>
        </div>
    </div>
</div>
{% endblock %}